Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZResponseDate Class Reference

## Public Member Functions
| __construct ( $id="-1")
| get ( $id="-1")
| getAll ( $OrderBy="ID", $ResponseID="", $QuestionID="", $LimitStart="None", $LimitBy="None")
| makeTimestamp ( $date)
| makeDate ( $timestamp)
| store ()
| delete ()
| deleteResponse ( $ResponseID, $QuestionID)
| deleteByQuestion ( $QuestionID)
| id ()
| responseID ()
| questionID ()
| response ()
| setID ( $value)
| setResponseID ( $value)
| setQuestionID ( $value)
| setResponse ( $value)

## Public Attributes
| $ID
| $ResponseID
| $QuestionID
| $Response

## Detailed Description

Definition at line 4 of file ezresponsedate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZResponseDate::__construct | ( |  | $id = `"-1"` | ) |

Definition at line 6 of file ezresponsedate.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZResponseDate::delete | ( |  | ) |

Definition at line 168 of file ezresponsedate.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ deleteByQuestion()

eZResponseDate::deleteByQuestion | ( |  | $QuestionID | ) |

Definition at line 188 of file ezresponsedate.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ deleteResponse()

eZResponseDate::deleteResponse | ( |  | $ResponseID,
|  |  | $QuestionID
| ) |  |

Definition at line 178 of file ezresponsedate.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ get()

eZResponseDate::get | ( |  | $id = `"-1"` | ) |

Definition at line 15 of file ezresponsedate.php.

References $db, and eZDB\globalDatabase().

## ◆ getAll()

eZResponseDate::getAll | ( |  | $OrderBy = `"ID"`,
|  |  | $ResponseID = `""`,
|  |  | $QuestionID = `""`,
|  |  | $LimitStart = `"None"`,
|  |  | $LimitBy = `"None"`
| ) |  |

Definition at line 45 of file ezresponsedate.php.

References $db, $OrderBy, $QuestionID, $ResponseID, and eZDB\globalDatabase().

## ◆ id()

eZResponseDate::id | ( |  | ) |

Definition at line 199 of file ezresponsedate.php.

References $ID.

## ◆ makeDate()

eZResponseDate::makeDate | ( |  | $timestamp | ) |

Definition at line 119 of file ezresponsedate.php.

References $date, and $timestamp.

## ◆ makeTimestamp()

eZResponseDate::makeTimestamp | ( |  | $date | ) |

Definition at line 101 of file ezresponsedate.php.

References $date, and $timestamp.

## ◆ questionID()

eZResponseDate::questionID | ( |  | ) |

Definition at line 201 of file ezresponsedate.php.

References $QuestionID.

## ◆ response()

eZResponseDate::response | ( |  | ) |

Definition at line 202 of file ezresponsedate.php.

References $Response.

## ◆ responseID()

eZResponseDate::responseID | ( |  | ) |

Definition at line 200 of file ezresponsedate.php.

References $ResponseID.

## ◆ setID()

eZResponseDate::setID | ( |  | $value | ) |

Definition at line 205 of file ezresponsedate.php.

## ◆ setQuestionID()

eZResponseDate::setQuestionID | ( |  | $value | ) |

Definition at line 207 of file ezresponsedate.php.

## ◆ setResponse()

eZResponseDate::setResponse | ( |  | $value | ) |

Definition at line 208 of file ezresponsedate.php.

## ◆ setResponseID()

eZResponseDate::setResponseID | ( |  | $value | ) |

Definition at line 206 of file ezresponsedate.php.

## ◆ store()

eZResponseDate::store | ( |  | ) |

Definition at line 129 of file ezresponsedate.php.

References $db, $res, $ret, eZDB\finish(), and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $ID

eZResponseDate::$ID

Definition at line 211 of file ezresponsedate.php.

Referenced by __construct(), and id().

## ◆ $QuestionID

eZResponseDate::$QuestionID

Definition at line 213 of file ezresponsedate.php.

Referenced by getAll(), and questionID().

## ◆ $Response

eZResponseDate::$Response

Definition at line 214 of file ezresponsedate.php.

Referenced by response().

## ◆ $ResponseID

eZResponseDate::$ResponseID

Definition at line 212 of file ezresponsedate.php.

Referenced by getAll(), and responseID().

The documentation for this class was generated from the following file:

- ezresponsedate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.